ata_dev_select
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_dev_select — Select device 0/1 on ATA bus

## Synopsis

`void ata_dev_select (` | struct ata_port * | ap,
| unsigned int | device,
| unsigned int | wait,
| unsigned int | can_sleep`)`;

## Arguments

`ap`

  ATA channel to manipulate

`device`

  ATA device (numbered from zero) to select

`wait`

  non-zero to wait for Status register BSY bit to clear

`can_sleep`

  non-zero if context allows sleeping

## Description

Use the method defined in the ATA specification to make either device 0, or device 1, active on the ATA channel.

This is a high-level version of `ata_std_dev_select`, which additionally provides the services of inserting the proper pauses and status polling, where needed.

## LOCKING

caller.

Prev | Up | Next
ata_hpa_resize | Home | ata_dump_id